import java.util.Scanner;

public class Examen01
{
  public static void main (String args[])
  {
    Scanner teclado= new Scanner(System.in);
    
    System.out.println("LED number display");
    
    int contador=1;
    int aumento;
    String numero;
    
    while(true)
    {
    System.out.print("Numero a mostrar [0=Salir]: ");
    teclado.skip("[\n\r\t ]*");
    numero= teclado.nextLine();
    
    if(numero.equals("0"))return;
    
   
    System.out.print("Factor de aumento (x): ");
    aumento= teclado.nextInt();
    
    for (int i =0; i< numero.length();i++)
    {
      if (numero.charAt(i)=='1')
      {
        for (int columna=1;columna<=(5*aumento);columna++)
    { 
      for (int fila=1;fila<=(1*aumento);fila++)
      System.out.print("#");
      
      System.out.println();
        }
      }
   
      if (numero.charAt(i)=='0')
      {
        for (int columna=1;columna<=(1*aumento);columna++)
    { 
      for (int fila=1;fila<=(3*aumento);fila++)
      System.out.print("#");
      
      System.out.println();
        }
         for (int columna=1;columna<=(3*aumento);columna++)
    { 
      for (int fila=1;fila<=(1*aumento);fila++)
      System.out.print ("#");
      {
        for (int fila=1;fila<=(1*aumento);fila++)
      System.out.print(" ");
        {
          for (int fila=1;fila<=(1*aumento);fila++)
      System.out.print("#");
          System.out.println();
        }
      }
        }
        
        for (int columna=1;columna<=(1*aumento);columna++)
    { 
      for (int fila=1;fila<=(3*aumento);fila++)
      System.out.print("#");
      System.out.println();
     
        }
      }
      System.out.println();
      if (numero.charAt(i)=='2')
      {
       for (int columna=1;columna<=(1*aumento);columna++)
    { 
      for (int fila=1;fila<=(3*aumento);fila++)
      System.out.print("#");
      System.out.println();
        }
         for (int columna=1;columna<=(1*aumento);columna++)
    { 
      for (int espacio=1;espacio<=(1*aumento);espacio++)
      System.out.print ("  ");
      {
        for (int fila=1;fila<=(1*aumento);fila++)
      System.out.print("#");
      System.out.println();
      }
        }
         for (int columna=1;columna<=(1*aumento);columna++)
    { 
      for (int fila=1;fila<=(3*aumento);fila++)
      System.out.print("#");
      System.out.println();
        }
         for (int columna=1;columna<=(1*aumento);columna++)
    { 
      for (int fila=1;fila<=(1*aumento);fila++)
      System.out.print("#");
      System.out.println();
        }
         for (int columna=1;columna<=(1*aumento);columna++)
    { 
      for (int fila=1;fila<=(3*aumento);fila++)
      System.out.print("#");
      System.out.println();
        }
      }
        }
    }
  }
  }

 
    

 
  
